Subject: Re: [netext] comment on draft-ietf-netext-pmip6-lr-ps-00.txt

From: Qin Wu <[email-masked]>
Date: Mon, 19 Oct 2009 10:04:30 +0800

Hi,
Although RFC 5213 considers local routing, however it is focusing on only one limited scenario where two communciating MNs attach to the same MAG and there is no localized routing signaling to be specified to allow two communciating MNs locally routing.
Comparing with the section 6.10.3 of RFC 5213, what the abstract of I-D.ietf-netext-pmip6-lr-ps-00 is emphasizing is localized routing signaling design is not
considered in  the RFC5213. Therefore I think the abstract of I-D.ietf-netext-pmip6-lr-ps-00 has no conflict with what is described in the section 6.10.3 of RFC5213. As regarding the section 1, the only inconsistent text with the description of section 6.10.3 of RFC 5213 is
"
Even though two communicating MNs might be attached to the
same MAG or to different MAGs of the same local mobility domain,
packets will traverse the MNs' LMA(s).

"
therefore I would like suggest to remove this inconsistent text or reword this text  as
"
Even though two communicating MNs might be attached to the
same MAG or to different MAGs of the same local mobility domain,
packets *USUALLY* traverse the MNs' LMA(s) as well.
"
Any thoughts?

Regards!
-Qin
----- Original Message ----- 
From: "Glen Zorn" <[email-masked]>
To: <[email-masked]>; "'Qin Wu'" <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, October 18, 2009 6:05 PM
Subject: comment on draft-ietf-netext-pmip6-lr-ps-00.txt

> The Abstract says:
>   In Proxy Mobile IPv6, mobile nodes are topologically
>   anchored at a Local Mobility Anchor, which forwards all data for
>   registered mobile nodes.  The set up and maintenance of localized
>   routing, which allows forwarding of data packets between mobile nodes
>   and correspondent nodes directly without involvement of the Local
>   Mobility Anchor in forwarding, is not considered. 
> and section 1 says:
>   The IETF has specified Proxy Mobile IPv6 (PMIPv6) [RFC5213] as the
>   base protocol for network-based localized mobility management
>   (NetLMM), which takes basic operation for registration, de-
>   registration and handover into account.  In scope of the base
>   protocol is the set up and maintenance of a forwarding tunnel between
>   an MN's Mobility Access Gateway (MAG) and its selected Local Mobility
>   Anchor (LMA).  Data packets will always traverse the MN's MAG and its
>   LMA, irrespective of the location of the MN's remote communication
>   endpoint.  Even though two communicating MNs might be attached to the
>   same MAG or to different MAGs of the same local mobility domain,
>   packets will traverse the MNs' LMA(s).
> 
> However, it appears that both these passages are incorrect, since section
> 6.10.3 of RFC 5213 both considers local routing and specifically permits it:
>   If there is data traffic between a visiting mobile node and a
>   correspondent node that is locally attached to an access link
>   connected to the mobile access gateway, the mobile access gateway MAY
>   optimize on the delivery efforts by locally routing the packets and
>   by not reverse tunneling them to the mobile node's local mobility
>   anchor.  The flag EnableMAGLocalRouting MAY be used for controlling
>   this behavior.  
>

---

From: Qin Wu <[email-masked]>
Date: Mon, 19 Oct 2009 11:32:49 +0800

From: "Glen Zorn" <[email-masked]>
To: "'Qin Wu'" <[email-masked]>; <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, October 19, 2009 10:54 AM
Subject: RE: comment on draft-ietf-netext-pmip6-lr-ps-00.txt

> Qin Wu [mailto:[email-masked]] writes:> Hi,
>> Although RFC 5213 considers local routing, however it is focusing on
>> only one limited scenario where two communciating MNs attach to the
>> same MAG and there is no localized routing signaling to be specified to
>> allow two communciating MNs locally routing.
>> Comparing with the section 6.10.3 of RFC 5213, what the abstract of I-
>> D.ietf-netext-pmip6-lr-ps-00 is emphasizing is localized routing
>> signaling design is not
>> considered in  the RFC5213. 
> 
> That seems like something of a straw man to me: if both MNs are attached to
> the same MAG, how much signaling is required?

[Qin]: Before the locally routing is allowed between the communicating attaching to the same access link 
connected to the mobile access gateway, the negotiation aspect between MAG and LMA is required to 
enforce localized routing on the given MAG. Because whether locally routing is allowed on the MAG can
be controlled by the LMA.Otherwise, the manual configuration mechanism is required which is not flexible
and scalable.

---

From: "Glen Zorn" <[email-masked]>
Date: Sun, 18 Oct 2009 17:05:12 +0700

The Abstract says:

---

From: "Glen Zorn" <[email-masked]>
Date: Mon, 19 Oct 2009 09:54:12 +0700

> Therefore I think the abstract of I-D.ietf-
> netext-pmip6-lr-ps-00 has no conflict with what is described in the
> section 6.10.3 of RFC5213. As regarding the section 1, the only
> inconsistent text with the description of section 6.10.3 of RFC 5213 is
> "

The draft as it is seems to imply that local routing in PMIPv6 is an
entirely new concept, which just isn't true.  I think that it would be a
good thing if the draft made clear that it is just proposing that the
optimization mentioned in 6.10.3 of RFC5213 be extended to include localized
routing between any two mobile nodes in the same PMIPv6 Domain, not
inventing localized routing.

...

---

From: Qin Wu <[email-masked]>
Date: Mon, 19 Oct 2009 11:45:16 +0800

> the same MAG, how much signaling is required?

[Qin]: Before the locally routing is allowed between two communicating MNs attaching to the same access link 
connected to the mobile access gateway, the negotiation aspect between MAG and LMA is required to 
enforce localized routing on the given MAG. Because whether locally routing is allowed on the MAG can
be controlled by the LMA.Otherwise, the manual configuration mechanism is required which is not flexible
and scalable.

---

From: "Glen Zorn" <[email-masked]>
Date: Mon, 19 Oct 2009 12:59:23 +0700

Qin Wu [mailto:[email-masked]] writes:

...

> is required which is not flexible

Right, signaling isn't discussed because there is none: it's a matter of
local MAG configuration (though how the LMA is supposed to "enforce" is a
mystery to me -- maybe by refusing to tunnel traffic from a MAG to itself?).
In any case the kinds of things that you mention above might be good to
include in the problem statement draft, too.

---

From: Marco Liebsch <[email-masked]>
Date: Mon, 19 Oct 2009 10:59:17 +0200

Hi Gle,

just to complement what Qin already wrote, please see inline.

> the same MAG, how much signaling is required?
There is good reason to have signaling from the LMA. One is that RFC5213 
requires the LMA to
enforce localized routing for the case that both MNs share the same MAG. 
A further good reason
to have singaling and some control from the LMA is that one or even both 
MNs may handover
to a different MAG, hence it's good to have the LMA as common stateful 
entity.

> inventing localized routing.
It was not the intention to write the draft in such way. If you read it 
such as
the PS invents localized routing, then we may need to rewrite associated
sentences. Please point to them. Well, if the draft invents something then
it may be problems, as it's a problem statement ;-)

The draft does not ignore that RFC5213 writes about localized routing
and covers some recommendations how to handle it. But it also sais that
there are missing pieces. And the PS tries to analyze issues in the 
context of
localized routing with PMIPv6 to find out which pieces the solution needs to
provide.

marco